package events

import (
	"fmt"
	"box-gm/utils"
	"log"
)

func PlayerQuery_get_player_info(uid string) (info map[string]string) {
	if uid == "" {
		return
	}
	info, err := utils.Hgetall(fmt.Sprintf("tb_player:%s", uid))
	if err != nil {
		return
	}

	return
}

func PlayerQuery_set_player_ban(uid string, status int) {
	if uid == "" {
		return
	}

	err := utils.Hset(fmt.Sprintf("tb_player:%s", uid), "status", status)
	if err != nil {
		log.Printf("PlayerQuery_set_player_ban : err[%v]", err)
	}
}
